#!/bin/bash

echo "install dependencies for unit-test script"
pwd

source ./gitlab-ci/shared.sh

echo "Installing required packages"
exec_cmd apt update
exec_cmd apt install -y uuid-dev lxc-dev lxc

echo "Installing uspd"
cd /opt/dev  
[ -d uspd ] && rm -fr uspd 
exec_cmd git clone https://dev.iopsys.eu/iopsys/uspd.git
cd uspd
#exec_cmd git checkout origin/transaction_id
exec_cmd ./gitlab-ci/install-dependencies.sh
exec_cmd ./gitlab-ci/setup.sh
exec_cmd make
exec_cmd cp uspd /usr/sbin/uspd


